be.vlaanderen.mercurius.mohm.schemas.v1

## Class ApplicationMobilityToolType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationMobilityToolType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:07:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class ApplicationMobilityToolType
      extends Object
      implements Serializable

  Generiek type voor het mobiliteitshulpmiddel in een aanvraag.

  Java class for ApplicationMobilityToolType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ApplicationMobilityToolType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BasicEquipment" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationBasicEquipmentType" minOccurs="0"/>
               <element name="Accessory" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationAccessoryType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationMobilityToolType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ApplicationAccessoryType>` | `getAccessories()` Gets the value of the accessories property.
    `ApplicationBasicEquipmentType` | `getBasicEquipment()` Gets the value of the basicEquipment property.
    `void` | `setBasicEquipment(ApplicationBasicEquipmentType value)` Sets the value of the basicEquipment property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationMobilityToolType

          public ApplicationMobilityToolType()

  - ### Method Detail

    - #### getBasicEquipment

          public ApplicationBasicEquipmentType getBasicEquipment()

      Gets the value of the basicEquipment property.
      Returns:
        possible object is `ApplicationBasicEquipmentType`

    - #### setBasicEquipment

          public void setBasicEquipment(ApplicationBasicEquipmentType value)

      Sets the value of the basicEquipment property.
      Parameters:
        `value` - allowed object is `ApplicationBasicEquipmentType`

    - #### getAccessories

          public List<ApplicationAccessoryType> getAccessories()

      Gets the value of the accessories property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the accessories property.

      For example, to add a new item, do as follows:

              getAccessories().add(newItem);

      Objects of the following type(s) are allowed in the list `ApplicationAccessoryType`

Connector Packaging TRUSSMAKER 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.